# MPI_Dist_graph_neighbors_count

## NAME

MPI_Dist_graph_neighbors_count − Provides information about adjacency in a distributed graph topology.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Dist_graph_neighbors_count(MPI_Comm comm,

|  | int *indegree, int *outdegree, int *weighted)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_DIST_GRAPH_NEIGHBORS_COUNT(COMM, INDEGREE, OUTDEGREE, WEIGHTED, IERROR)

|  | INTEGER |  | COMM, INDEGREE, OUTDEGREE, IERROR
|  | LOGICAL |  | WEIGHTED

## C++ Syntax

#include <mpi.h>
void Distgraphcomm::Get_dist_neighbors_count(int rank, int indegree[], int outdegree[], bool& weighted)

## INPUT PARAMETERS

| comm |  | Communicator with distributed graph topology (handle).

## OUTPUT PARAMETERS

| indegree |  | Number of edges into this process (non-negative integer).
| outdegree |  | Number of edges out of this process (non-negative integer).
| weighted |  | True unless the topology was created with MPI_UNWEIGHTED.
| IERROR |  | Fortran only: Error status (integer). |

## FOR MORE INFORMATION

For more information, see page 263 of the MPI 2.2 standard.

MPI API Index